Name:           irclog2html
Version:        2.9.2
Release:        1%{?dist}
Summary:        Script to convert IRC logs to HTML and other formats

Group:          Applications/Communications
License:        GPLv2+
URL:            http://mg.pov.lt/irclog2html/
# Source is only in upstream SCM. To create the tarball run
# bzr export irclog2html-2.9.2.tar.bz2 -r 77 lp:irclog2html
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires:  python

Requires:       python


%description
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.


%prep
%setup -q
echo "You may need the irclog.css file. It is available at
  %{_datadir}/%{name}/irclog.css
" > README.fedora


%build
# nothing


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{name}.py %{buildroot}%{_bindir}/%{name}
# Keep bindir cleanish, most people will just want the main script.
mkdir -p %{buildroot}%{_datadir}/%{name}
chmod a+x *.py
cp -a * %{buildroot}%{_datadir}/%{name}/


%check
make check


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt README.fedora CHANGES.txt
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Sun Mar 27 2011 Fabian Affolter <fabian@bernewireless.net> - 2.9.2-1
- Updated to new upstream version 2.9.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Fabian Affolter <fabian@bernewireless.net> - 2.8-2
- Rebuilt

* Thu Jul 22 2010 Ian Weller <iweller@redhat.com> - 2.8-1
- Update to 2.8
- Add make check
- Add README.txt and CHANGES.txt to docs

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 2.7-5.svn68
- Fix bug (use of undefined variable 'progname') found by Ondrej Baudys

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-2.svn67
- Fix buildroot
- Fix how-to-create-source comment

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-1.svn67
- Initial package build.
